### Method

# Gegl Buffer set

#### Declaration [src]

    void
    gegl_buffer_set (
      GeglBuffer* buffer,
      const GeglRectangle* rect,
      gint mipmap_level,
      const Babl* format,
      void* src,
      gint rowstride
    )

#### Description [src]

Store a linear raster buffer into the GeglBuffer.

This method is not directly available to language bindings.

The implementation of this method is provided by `gegl_buffer_introspectable_set()` in language bindings.

#### Parameters

`rect`

  Type: `GeglRectangle`

  The coordinates we want to change the data of and the width/height of the linear buffer being set. the data when setting.

  The data is owned by the caller of the method.

`mipmap_level`

  Type: `gint`

  The scale level being set, 0 = 1:1 = default = base mipmap level, 1 = 1:2, 2=1:4, 3=1:8 ..

`format`

  Type: `Babl`

  The babl_format the linear buffer `src`.

  The data is owned by the caller of the method.

`src`

  Type: `void*`

  Linear buffer of image data to be stored in `buffer`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`rowstride`

  Type: `gint`

  Rowstride in bytes, or GEGL_AUTO_ROWSTRIDE to compute the rowstride based on the width and bytes per pixel for the specified format.